package com.uas.search.constant.model;

import java.io.Serializable;
import java.util.List;

/**
 * 订单主表
 * 
 * @author suntg
 * @since 2016年10月11日上午11:31:38
 */
public class BaseOrder implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long id;

	private String code;

	private List<BaseOrderDetail> details;

	public BaseOrder() {

	}

	public BaseOrder(Long id) {
		this.id = id;
	}

	public BaseOrder(Long id, String code) {
		this(id);
		this.code = code;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public List<BaseOrderDetail> getDetails() {
		return details;
	}

	public void setDetails(List<BaseOrderDetail> details) {
		this.details = details;
	}

	@Override
	public String toString() {
		return "BaseOrder [id=" + id + ", code=" + code + ", details=" + details + "]";
	}
}
